<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AndroidLayouts">
    <shared>
      <config />
    </shared>
  </component>
  <component name="AndroidLogFilters">
    <option name="TOOL_WINDOW_CUSTOM_FILTER" value="Teste" />
    <option name="TOOL_WINDOW_CONFIGURED_FILTER" value="Show only selected application" />
  </component>
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="NONE" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="714975f8-d10e-47c7-bd77-9a2a3280aa92" name="Default Changelist" comment="" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ExecutionTargetManager" SELECTED_TARGET="device_and_snapshot_combo_box_target[SerialNumber@RQ8MA0HP9FZ]" />
  <component name="ExternalProjectsData">
    <projectState path="$PROJECT_DIR$">
      <ProjectState />
    </projectState>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="resourceFile" />
        <option value="valueResourceFile" />
        <option value="navigationResourceFile" />
        <option value="layoutResourceFile_vertical" />
        <option value="Kotlin Data Class" />
        <option value="Kotlin Object" />
        <option value="Kotlin Interface" />
        <option value="layoutResourceFile" />
        <option value="Kotlin Class" />
      </list>
    </option>
  </component>
  <component name="KotlinMultiplatform">
    <allAvailableExecutables />
  </component>
  <component name="ProjectId" id="20PUf2CtzH3nW0iS6ThYmcHQWip" />
  <component name="ProjectViewState">
    <option name="autoscrollFromSource" value="true" />
    <option name="autoscrollToSource" value="true" />
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">
    <property name="DeviceAndSnapshotComboBoxAction.selectedDevice" value="SerialNumber@RQ8MA0HP9FZ" />
    <property name="DeviceAndSnapshotComboBoxAction.selectionTime" value="2021-11-11T20:42:20.159732Z" />
    <property name="RunOnceActivity.OpenProjectViewOnStart" value="true" />
    <property name="android-custom-view/Users/tiagoaguiar/.gradle/caches/modules-2/files-2.1/androidx.coordinatorlayout/coordinatorlayout/1.1.0/a15529ac349d76a872ae5ef42b84c320c456cd7f/coordinatorlayout-1.1.0-sources.jar!/androidx/coordinatorlayout/widget/CoordinatorLayout.java_SELECTED" value="CoordinatorLayout" />
    <property name="android-custom-view/Users/tiagoaguiar/.gradle/caches/modules-2/files-2.1/androidx.drawerlayout/drawerlayout/1.0.0/9ecd4ecb7da215ba4c5c3e00bf8d290dad6f2bc5/drawerlayout-1.0.0-sources.jar!/androidx/drawerlayout/widget/DrawerLayout.java_SELECTED" value="DrawerLayout" />
    <property name="android-custom-view/Users/tiagoaguiar/Library/Android/sdk/sources/android-30/android/view/View.java_SELECTED" value="View" />
    <property name="full.screen.before.presentation.mode" value="false" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
  </component>
  <component name="RecentsManager">
    <key name="CopyKotlinDeclarationDialog.RECENTS_KEY">
      <recent name="co.tiagoaguiar.tutorial.jokerappdev" />
    </key>
    <key name="MoveKotlinTopLevelDeclarationsDialog.RECENTS_KEY">
      <recent name="co.tiagoaguiar.tutorial.jokerappdev.view" />
    </key>
    <key name="MoveFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/app/src/main/res/drawable" />
    </key>
  </component>
  <component name="RunManager">
    <configuration default="true" type="AndroidJUnit" factoryName="Android JUnit">
      <option name="TEST_OBJECT" value="class" />
      <option name="WORKING_DIRECTORY" value="$MODULE_DIR$" />
      <method v="2">
        <option name="Android.Gradle.BeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration name="app" type="AndroidRunConfigurationType" factoryName="Android App" activateToolWindowBeforeRun="false">
      <module name="Joker_App_Dev.app" />
      <option name="DEPLOY" value="true" />
      <option name="DEPLOY_APK_FROM_BUNDLE" value="false" />
      <option name="DEPLOY_AS_INSTANT" value="false" />
      <option name="ARTIFACT_NAME" value="" />
      <option name="PM_INSTALL_OPTIONS" value="" />
      <option name="ALL_USERS" value="false" />
      <option name="ALWAYS_INSTALL_WITH_PM" value="false" />
      <option name="DYNAMIC_FEATURES_DISABLED_LIST" value="" />
      <option name="ACTIVITY_EXTRA_FLAGS" value="" />
      <option name="MODE" value="default_activity" />
      <option name="CLEAR_LOGCAT" value="false" />
      <option name="SHOW_LOGCAT_AUTOMATICALLY" value="false" />
      <option name="SKIP_NOOP_APK_INSTALLATIONS" value="true" />
      <option name="FORCE_STOP_RUNNING_APP" value="true" />
      <option name="TARGET_SELECTION_MODE" value="DEVICE_AND_SNAPSHOT_COMBO_BOX" />
      <option name="DEBUGGER_TYPE" value="Java" />
      <Java />
      <Profilers>
        <option name="ADVANCED_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_CPU_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_CPU_PROFILING_CONFIGURATION_NAME" value="Sample Java Methods" />
        <option name="STARTUP_NATIVE_MEMORY_PROFILING_ENABLED" value="false" />
        <option name="NATIVE_MEMORY_SAMPLE_RATE_BYTES" value="2048" />
      </Profilers>
      <option name="DEEP_LINK" value="" />
      <option name="ACTIVITY_CLASS" value="" />
      <option name="SEARCH_ACTIVITY_IN_GLOBAL_SCOPE" value="false" />
      <option name="SKIP_ACTIVITY_VALIDATION" value="false" />
      <method v="2">
        <option name="Android.Gradle.BeforeRunTask" enabled="true" />
      </method>
    </configuration>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="application-level" UseSingleDictionary="true" transferred="true" />
  <component name="WindowStateProjectService">
    <state x="1254" y="72" key="#com.intellij.ide.util.MemberChooser.inPresentationMode" timestamp="1636575000373">
      <screen x="41" y="25" width="2519" height="1055" />
    </state>
    <state x="1253" y="72" key="#com.intellij.ide.util.MemberChooser.inPresentationMode/40.25.2520.1055@40.25.2520.1055" timestamp="1635969279217" />
    <state x="1254" y="72" key="#com.intellij.ide.util.MemberChooser.inPresentationMode/41.25.2519.1055@41.25.2519.1055" timestamp="1636575000373" />
    <state x="1229" y="236" key="#org.jetbrains.kotlin.idea.refactoring.move.moveDeclarations.ui.MoveKotlinTopLevelDeclarationsDialog.inPresentationMode" timestamp="1635969147914">
      <screen x="40" y="25" width="2520" height="1055" />
    </state>
    <state x="1229" y="236" key="#org.jetbrains.kotlin.idea.refactoring.move.moveDeclarations.ui.MoveKotlinTopLevelDeclarationsDialog.inPresentationMode/40.25.2520.1055@40.25.2520.1055" timestamp="1635969147914" />
    <state x="1192" y="291" key="AndroidCreateResourceFileDialog.inPresentationMode" timestamp="1636663061502">
      <screen x="42" y="25" width="2518" height="1055" />
    </state>
    <state x="1191" y="291" key="AndroidCreateResourceFileDialog.inPresentationMode/41.25.2519.1055@41.25.2519.1055" timestamp="1635968523673" />
    <state x="1192" y="291" key="AndroidCreateResourceFileDialog.inPresentationMode/42.25.2518.1055@42.25.2518.1055" timestamp="1636663061502" />
    <state width="1929" height="418" key="GridCell.Tab.0.bottom.inPresentationMode" timestamp="1636663628842">
      <screen x="42" y="25" width="2518" height="1055" />
    </state>
    <state width="1913" height="289" key="GridCell.Tab.0.bottom.inPresentationMode/40.25.2520.1055@40.25.2520.1055" timestamp="1636485482491" />
    <state width="1919" height="678" key="GridCell.Tab.0.bottom.inPresentationMode/41.25.2519.1055@41.25.2519.1055" timestamp="1636575774249" />
    <state width="1929" height="418" key="GridCell.Tab.0.bottom.inPresentationMode/42.25.2518.1055@42.25.2518.1055" timestamp="1636663628842" />
    <state width="1929" height="418" key="GridCell.Tab.0.center.inPresentationMode" timestamp="1636663628842">
      <screen x="42" y="25" width="2518" height="1055" />
    </state>
    <state width="1913" height="289" key="GridCell.Tab.0.center.inPresentationMode/40.25.2520.1055@40.25.2520.1055" timestamp="1636485482490" />
    <state width="1919" height="678" key="GridCell.Tab.0.center.inPresentationMode/41.25.2519.1055@41.25.2519.1055" timestamp="1636575774248" />
    <state width="1929" height="418" key="GridCell.Tab.0.center.inPresentationMode/42.25.2518.1055@42.25.2518.1055" timestamp="1636663628842" />
    <state width="1929" height="418" key="GridCell.Tab.0.left.inPresentationMode" timestamp="1636663628841">
      <screen x="42" y="25" width="2518" height="1055" />
    </state>
    <state width="1913" height="289" key="GridCell.Tab.0.left.inPresentationMode/40.25.2520.1055@40.25.2520.1055" timestamp="1636485482489" />
    <state width="1919" height="678" key="GridCell.Tab.0.left.inPresentationMode/41.25.2519.1055@41.25.2519.1055" timestamp="1636575774247" />
    <state width="1929" height="418" key="GridCell.Tab.0.left.inPresentationMode/42.25.2518.1055@42.25.2518.1055" timestamp="1636663628841" />
    <state width="1929" height="418" key="GridCell.Tab.0.right.inPresentationMode" timestamp="1636663628842">
      <screen x="42" y="25" width="2518" height="1055" />
    </state>
    <state width="1913" height="289" key="GridCell.Tab.0.right.inPresentationMode/40.25.2520.1055@40.25.2520.1055" timestamp="1636485482490" />
    <state width="1919" height="678" key="GridCell.Tab.0.right.inPresentationMode/41.25.2519.1055@41.25.2519.1055" timestamp="1636575774248" />
    <state width="1929" height="418" key="GridCell.Tab.0.right.inPresentationMode/42.25.2518.1055@42.25.2518.1055" timestamp="1636663628842" />
    <state x="734" y="25" key="SettingsEditor.inPresentationMode" timestamp="1636038296501">
      <screen x="41" y="25" width="2519" height="1055" />
    </state>
    <state x="734" y="25" key="SettingsEditor.inPresentationMode/41.25.2519.1055@41.25.2519.1055" timestamp="1636038296501" />
    <state width="715" height="815" key="SwitcherDM.inPresentationMode" timestamp="1636663959181">
      <screen x="42" y="25" width="2518" height="1055" />
    </state>
    <state width="716" height="815" key="SwitcherDM.inPresentationMode/40.25.2520.1055@40.25.2520.1055" timestamp="1636485606123" />
    <state width="715" height="815" key="SwitcherDM.inPresentationMode/41.25.2519.1055@41.25.2519.1055" timestamp="1636575124792" />
    <state width="715" height="815" key="SwitcherDM.inPresentationMode/42.25.2518.1055@42.25.2518.1055" timestamp="1636663959181" />
    <state x="1277" y="259" width="670" height="676" key="search.everywhere.popup" timestamp="1636662937167">
      <screen x="42" y="25" width="2518" height="1055" />
    </state>
    <state x="1015" y="25" width="1173" height="1972" key="search.everywhere.popup.inPresentationMode" timestamp="1636664127284">
      <screen x="42" y="25" width="2518" height="1055" />
    </state>
    <state x="1014" y="25" width="1173" height="1972" key="search.everywhere.popup.inPresentationMode/41.25.2519.1055@41.25.2519.1055" timestamp="1636575709055" />
    <state x="1015" y="25" width="1173" height="1972" key="search.everywhere.popup.inPresentationMode/42.25.2518.1055@42.25.2518.1055" timestamp="1636664127284" />
    <state x="1276" y="259" width="671" height="676" key="search.everywhere.popup/40.25.2520.1055@40.25.2520.1055" timestamp="1636484841509" />
    <state x="1277" y="259" width="670" height="676" key="search.everywhere.popup/42.25.2518.1055@42.25.2518.1055" timestamp="1636662937167" />
  </component>
</project>